.\" $NetBSD: vald.4,v 1.7 2008/04/30 13:10:56 martin Exp $
.\"
.\" Copyright (c) 2004 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd January 25, 2008
.Dt VALD 4 i386
.Os
.Sh NAME
.Nm vald
.Nd Toshiba Programmable I/O controller
.Sh SYNOPSIS
.Cd "vald* at acpi?"
.Sh DESCRIPTION
Some Toshiba computers have a special I/O controller that handles various
interface devices.
This special I/O controller is accessed by the
.Dq GHCI
ACPI method.
The
.Nm
driver provides some support for it.
.Pp
The
.Nm
driver handles the following hot-keys:
.Pp
.Bl -tag -compact -offset indent -width "Fn+F5"
.It Fn+F5
Switch between LCD and External Video output.
.It Fn+F6
Decrease LCD brightness.
.It Fn+F7
Increase LCD brightness.
.It Fn+F8
Switch fan (ON/OFF).
.El
.Pp
The
.Nm
driver has only been tested on the Libretto L3 and on the Portege 3440.
.Sh SEE ALSO
.Xr acpi 4
.Sh HISTORY
The
.Nm
driver appeared in
.Nx 1.6 .
.Sh BUGS
.Nm
may have problems with X11 when switching between LCD
and External Video output.
